<?php

/*
	controls - factory class for creating instances of controls classes (see controls directory)
	Copyright (c) 2009
	
	This file is part of NicNames.
	
	NicNames is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as 
	published by the Free Software Foundation, either version 3 of
	the License, or (at your option) any later version.
	
	NicNames is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with NicNames.  If not, see <http://www.gnu.org/licenses/>.
*/

class controls
{
	// singleton implementation
	function &getinstance()
	// return instance of controls
	{
		static $instance;
		if (empty($instance)) $instance = new controls();
		return $instance;
	}
	
	function setproperties(&$db)
	// must be used on the controls instance in order to pass the db object
	// on to each control.  Only needs to be set once
	{
		$this->db = &$db;
	}

	function &getcontrol($name)
	{
		if (!preg_match('/^[\w-]+$/', $name)) trigger_error('Invalid control name', E_USER_ERROR);
		require_once(RESOURCE_DIR . "controls/$name.inc.php");
		$control = &new $name($this->db);
		return $control;
	}
}



?>