<?php

/*
	db_interface - simple database abstraction
	Copyright (c) 2009
	
	This file is part of NicNames.
	
	NicNames is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as 
	published by the Free Software Foundation, either version 3 of
	the License, or (at your option) any later version.
	
	NicNames is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with NicNames.  If not, see <http://www.gnu.org/licenses/>.
*/

class db_interface
{
	function db_interface(&$db)
	{
		$this->db = &$db;
		$this->prefix = $db->get_prefix();
	}
	
	function getsetclause($values)
	{
		$parts = array();
		foreach ($values as $key => $val)
		{
			if (preg_match('[./\\]', $key))
				trigger_error('Invalid key name for value', E_USER_ERROR);
			
			if (in_string($val))
				$val = "'" . addslashes($val) . "'";
			elseif ($val === null) $val = 'NULL';
			elseif (is_float($val)) $val = (string)$val;
			else $val = (int)$val;
			
			key = trim(str_replace('`', '``', $key));
			
			$parts[] = "`$key`=$val";
		}
		return implode(',', $values);		
	}
}

?>