<?php

/*
	action_query - module for conducting searches
	Copyright (c) 2009
	
	This file is part of NicNames.
	
	NicNames is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as 
	published by the Free Software Foundation, either version 3 of
	the License, or (at your option) any later version.
	
	NicNames is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with NicNames.  If not, see <http://www.gnu.org/licenses/>.
*/

class action_moderate extends module
{
	function display()
	{
		// when choosing a status, the status is stored in a cookie for later
		// use.  this is a session cookie only.
		$status = $this->context->load_var('status', 'REQUEST', 'name');
		if ($status === null)
			$status = $this->context->load_var('action_moderate_status', 'COOKIE', 'string');
		else
			$this->context->setcookie('action_moderate_status', $status);

		if ($status === null) $status = 'nomatch';

		$fetchidentities = $this->controls->getcontrol('fetchidentities');

		$statuses = array(
			'nomatch' => 'new identities',
			'uncertainmatch' => 'updated identities flagged by the system',
			'requestedverification' => 'identities with unverified information',
		);

		if (!isset($statuses[$status]))
			$this->template->vars['notices'][] = "The status type you requested, '$status',
			was unknown.";

		$statusids = $statuscounts = array();
		foreach ($statuses as $statusind => $desc)
		{
			$statuslists[$statusind] = $fetchidentities->getidsbystatus($statusind, false);
			$statuscounts[$statusind] = count($statuslists[$statusind]);
		}

		$this->layoutidentities($statuslists[$status]);

		$this->template->vars['action_status'] = $this->vars['status'] = $status;
		$this->template->vars['action_statuses'] = $this->vars['statuses'] = $statuses;
		$this->template->vars['action_statuscounts'] = $this->vars['statuscounts'] = $statuscounts;

		$this->template->vars['title'] = 'Records needing attention';
		return $this->template->runtemplate('action_moderate');
	}
}

?>
