<?php

/*
	action_new - for creating a new identity
	Copyright (c) 2009
	
	This file is part of NicNames.
	
	NicNames is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as 
	published by the Free Software Foundation, either version 3 of
	the License, or (at your option) any later version.
	
	NicNames is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with NicNames.  If not, see <http://www.gnu.org/licenses/>.
*/

class action_new extends module
{
	function display()
	{
		$affiliation = $this->context->load_var('affiliation', 'POST', 'name');
		$namestring = $this->context->load_var('name', 'POST', 'string');
		$nametype = $this->context->load_var('nametype', 'POST', 'name');

		$this->template->vars['title'] = 'New identity';

		if (!$affiliation)
		{
			// no details submitted yet
			return $this->template->runtemplate('action_new');
		}

		require_once(RESOURCE_DIR . 'includes/identity.inc.php');

		$identity = new identity();
		$identity->affiliation = $affiliation;
		$name = name::extract($namestring);
		$name->verified = true;
		if ($name->surname == '')
		{
			$this->template->vars['notices'][] = "Error: the name field was left blank, or did not appear to contain a name.  Please try again.";
			return $this->template->runtemplate('action_new');
		}
		$name->type = $nametype;
		$identity->names[] = $name;

		$editidentity = $this->controls->getcontrol('editidentity');
		$editidentity->updateidentity($identity);

		$identityid = $identity->id;
		if (!$identityid)
		{
			$this->template->vars['notices'][] = "Error: there was an unknown problem creating this new identity.  Please check with your system administrator.";
			return $this->template->runtemplate('action_new');
		}

		$this->context->redirect(URL_PATH . "?a=edit&identityid=$identityid&m=createsuccess");
	}
}

?>
